<?php
/**
 * Ittweb_Cvetta For Magento 2
 *
 * @category    Ittweb
 * @package     Ittweb_Cvetta
 * @author      Ittweb Team <sanedda@ittweb.net>
 * @copyright   Ittweb (https://ittweb.net)
 * @license     https://www.gnu.org/licenses/gpl-3.0.en.html  GPL License v3
 */

namespace Ittweb\Cvetta\Controller\Adminhtml\Cvetta;


use Magento\Framework\Controller\ResultFactory;



class Ajax extends \Magento\Backend\App\Action
{

    /**
     * @var \Magento\Cron\Model\ScheduleFactory
     */
    protected $cronScheduleFactory;

    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Cron\Model\ScheduleFactory $cronScheduleFactory
    ) {


        $this->cronScheduleFactory = $cronScheduleFactory;

        parent::__construct($context);
    }

    public function execute()
    {
        /*try {
            $cron = Mage::getModel('cvetta/cron');
            if ($cron->syncronize()) {
                echo 'catalogue syncronized with success!';
            }
        } catch (Exception $e) {
            echo 'error syncronizing catalogue: '.$e->getMessage();
        }*/

        $timecreated = strftime("%Y-%m-%d %H:%M:%S", mktime(date("H"), date("i"), date("s"), date("m"), date("d"), date("Y")));
        $timescheduled = strftime("%Y-%m-%d %H:%M:%S", mktime(date("H"), date("i"), date("s"), date("m"), date("d"), date("Y")));

        $jobCode = 'cvetta_syncronyze';
        try {
            $schedule = $this->cronScheduleFactory->create();
            $schedule->setJobCode($jobCode)
                ->setCreatedAt($timecreated)
                ->setScheduledAt($timescheduled)
                ->setStatus(\Magento\Cron\Model\Schedule::STATUS_PENDING)
                ->save();




            echo "cron scheduled";
        } catch (Exception $e) {
            echo "Unable to save schedule cron";
        }
    }

}
