<?php
/**
 * Ittweb_Cvetta For Magento 2
 *
 * @category    Ittweb
 * @package     Ittweb_Cvetta
 * @author      Ittweb Team <sanedda@ittweb.net>
 * @copyright   Ittweb (https://ittweb.net)
 * @license     https://www.gnu.org/licenses/gpl-3.0.en.html  GPL License v3
 */

namespace Ittweb\Cvetta\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{

    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */
    protected $scopeConfig;
    /**
     * @var \Magento\Framework\Module\Manager
     */
    protected $_moduleManager;

    public function __construct(

        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Magento\Framework\Module\Manager $moduleManager

    ) {

        $this->scopeConfig = $scopeConfig;
        $this->_moduleManager = $moduleManager;

    }

    /**
     * Returns if module exists or not
     *
     * @return bool
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function isModuleEnabled()
    {
        return $this->_moduleManager->isEnabled('Ittweb_CvettaPro');
    }

    public function getCvettaCss()
    {
        return '<link href="//ws10b.cvetta.io/css/cvetta.min.css" rel="stylesheet" type="text/css" id="cVettaStyle" />';
    }

    public function getCvettaJs()
    {
        $cvetta_js = 'cvetta.min.js';
        if ($this->isModuleEnabled()) {
            $cvetta_js = 'cvettapro.min.js';
        }
        if ( $this->scopeConfig->getValue('cvetta/settings/staging', \Magento\Store\Model\ScopeInterface::SCOPE_STORE) ) {
            $cvetta_js = 'cvettaDeb.js';
        }
        return '<script src="//ws10b.cvetta.io/js/' . $cvetta_js . '" charset="UTF-8"></script>';
    }

    public function getCustomCss()
    {
        return '<style type="text/css" media="all">' . $this->scopeConfig->getValue('cvetta/design/custom_css') . '</style>';
    }

    public function getTemplate()
    {
        return 'Ittweb_Cvetta::form.mini.phtml';
    }

}
