<?php
/**
 * Ittweb_Cvetta For Magento 2
 *
 * @category    Ittweb
 * @package     Ittweb_Cvetta
 * @author      Ittweb Team <sanedda@ittweb.net>
 * @copyright   Ittweb (https://ittweb.net)
 * @license     https://www.gnu.org/licenses/gpl-3.0.en.html  GPL License v3
 */

namespace Ittweb\Cvetta\Model\Config\Source;


class Attribute implements \Magento\Framework\Option\ArrayInterface
{
    protected $_collectionFactory;

    public function __construct(
        \Magento\Catalog\Model\ResourceModel\Product\Attribute\CollectionFactory $_collectionFactory
    ){
        $this->_collectionFactory = $_collectionFactory;
    }

    public function toOptionArray()
    {
        $attributes = $this->_collectionFactory->create();
        $attributeArray = array();

        foreach ($attributes as $attribute) {
            $attributeArray[] = array(
                'label' => $attribute->getFrontendLabel(),
                'value' => $attribute->getAttributeCode()
            );
        }
        return $attributeArray;
    }

}
