<?php
/**
 * Ittweb_Cvetta For Magento 2
 *
 * @category    Ittweb
 * @package     Ittweb_Cvetta
 * @author      Ittweb Team <sanedda@ittweb.net>
 * @copyright   Ittweb (https://ittweb.net)
 * @license     https://www.gnu.org/licenses/gpl-3.0.en.html  GPL License v3
 */

namespace Ittweb\Cvetta\Model\Config\Source;


class Pricereferer implements \Magento\Framework\Option\ArrayInterface
{
    protected $resourceConnection;
    /**
     * @var \Magento\Framework\App\DeploymentConfig
     */
    protected $deploymentConfig;


    public function __construct(
        \Magento\Framework\App\ResourceConnection $resourceConnection,
        \Magento\Framework\App\DeploymentConfig $deploymentConfig
    )
    {
        $this->resourceConnection = $resourceConnection;
        $this->deploymentConfig = $deploymentConfig;
    }

    public function toOptionArray()
    {
        $conn = $this->resourceConnection->getConnection('core_read');

        // leggo il prefisso delle tabelle
        $prefix = $this->deploymentConfig->get('db/table_prefix');

        $sql = "SELECT attribute_code, frontend_label "
            . "FROM {$prefix}eav_attribute ea "
            . "JOIN {$prefix}eav_entity_type eat ON ea.entity_type_id = eat.entity_type_id "
            . "WHERE eat.entity_type_code = 'catalog_product' "
            . "AND ea.backend_model = 'Magento\\\Catalog\\\Model\\\Product\\\Attribute\\\Backend\\\Price'";
        $attribute_data = $conn->fetchAll($sql);

        $options = array();
        if (!empty($attribute_data)) {
            foreach ($attribute_data as $data)
                $options[$data['attribute_code']] = $data['frontend_label'] . ' (' . $data['attribute_code'] . ')';
        }

        return $options;
    }

}